Package com.macrofocus.high_d.treetable.swing

# Interface TreeTableModel

All Superinterfaces:
  `TreeModel`

All Known Implementing Classes:
  `AbstractTreeTableModel`, `TreeMapTreeTableModel`

public interface TreeTableModel extends TreeModel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getColumnClass(int column)`
  Returns the type (class) of a column.
  `int`
  `getColumnCount()`
  Returns the number of available columns.
  `String`
  `getColumnName(int column)`
  Returns the column name.
  `Object`
  `getValueAt(Object node, int column)`
  Returns the value of a node in a column.
  `boolean`
  `isCellEditable(Object node, int column)`
  Check if a cell of a node in one column is editable.
  `void`
  `setValueAt(Object aValue, Object node, int column)`
  Sets a value for a node in one column.

  ### Methods inherited from interface javax.swing.tree.TreeModel

  `addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

- ## Method Details

  - ### getColumnCount

    int getColumnCount()
    Returns the number of available columns.
    Returns:
      Number of Columns

  - ### getColumnName

    String getColumnName(int column)
    Returns the column name.
    Parameters:
      `column` - Column number
    Returns:
      Column name

  - ### getColumnClass

    Class<?> getColumnClass(int column)
    Returns the type (class) of a column.
    Parameters:
      `column` - Column number
    Returns:
      Class

  - ### getValueAt

    Object getValueAt(Object node, int column)
    Returns the value of a node in a column.
    Parameters:
      `node` - Node
      `column` - Column number
    Returns:
      Value of the node in the column

  - ### isCellEditable

    boolean isCellEditable(Object node, int column)
    Check if a cell of a node in one column is editable.
    Parameters:
      `node` - Node
      `column` - Column number
    Returns:
      true/false

  - ### setValueAt

    void setValueAt(Object aValue, Object node, int column)
    Sets a value for a node in one column.
    Parameters:
      `aValue` - New value
      `node` - Node
      `column` - Column number